package com.ttiglobal.inttilectgpchat.wrappers;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;
import java.util.List;

public class ComparisonDataModel implements Serializable
{

    @SerializedName("model")
    @Expose
    //private List<ComparisonModel> comparisonModelList = null;
    private ComparisonModel comparisonModelList = null;
    @SerializedName("category")
    @Expose
    private List<ComparisonCategory> comparisonCategoryList = null;
    @SerializedName("compare_model")
    @Expose
    private List<ComparisonCompareModel> compareModel = null;
    private final static long serialVersionUID = -2800090871326977669L;

    public ComparisonModel getComparisonModelList() {
        return comparisonModelList;
    }

    public void setComparisonModelList(ComparisonModel comparisonModelList) {
        this.comparisonModelList = comparisonModelList;
    }

    public List<ComparisonCategory> getComparisonCategoryList() {
        return comparisonCategoryList;
    }

    public void setComparisonCategoryList(List<ComparisonCategory> comparisonCategoryList) {
        this.comparisonCategoryList = comparisonCategoryList;
    }

    public List<ComparisonCompareModel> getCompareModel() {
        return compareModel;
    }

    public void setCompareModel(List<ComparisonCompareModel> compareModel) {
        this.compareModel = compareModel;
    }
}